Legacy (v0)
List product leads
List the contacts captured as leads from the caller’s shares of a product. Only leads attributed to the authenticated user are returned, as a bare JSON array that is not paginated. Returns 404 when the product does not belong to the authenticated company. Admin users, company API tokens, and partner tokens need the products view permission.
GET
/
api
/
products
/
{product_id}
/
leads
List product leads
curl --request GET \
--url https://api.fluid.app/api/products/{product_id}/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/products/{product_id}/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/products/{product_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/products/{product_id}/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/products/{product_id}/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/products/{product_id}/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/products/{product_id}/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 58831,
"token": "ct_Xw4Pz9Kd2Lm7",
"first_name": "Holly",
"last_name": "Flax",
"full_name": "Holly Flax",
"avatar_url": null,
"status": "lead",
"email": "hollyflax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": "198.51.100.24",
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"discarded_at": null
}
]{
"message": "<string>"
}Response
Success
⌘I
List product leads
curl --request GET \
--url https://api.fluid.app/api/products/{product_id}/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/products/{product_id}/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/products/{product_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/products/{product_id}/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/products/{product_id}/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/products/{product_id}/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/products/{product_id}/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 58831,
"token": "ct_Xw4Pz9Kd2Lm7",
"first_name": "Holly",
"last_name": "Flax",
"full_name": "Holly Flax",
"avatar_url": null,
"status": "lead",
"email": "hollyflax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": "198.51.100.24",
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"discarded_at": null
}
]{
"message": "<string>"
}